Glib::Container_Helpers::ArrayIterator< Tr > Class Template Reference

`#include <glibmm/vectorutils.h>`

## Public Types

typedef Tr::CppType | CppType
typedef Tr::CType | CType
typedef std::random_access_iterator_tag | iterator_category
typedef CppType | value_type
typedef std::ptrdiff_t | difference_type
typedef value_type | reference
typedef void | pointer

## Public Member Functions

| ArrayIterator (const CType* pos)
value_type | operator* () const
value_type | operator[] (difference_type offset) const
ArrayIterator< Tr >& | operator++ ()
const ArrayIterator< Tr > | operator++ (int)
ArrayIterator< Tr >& | operator+= (difference_type rhs)
ArrayIterator< Tr >& | operator-= (difference_type rhs)
const ArrayIterator< Tr > | operator+ (difference_type rhs) const
const ArrayIterator< Tr > | operator- (difference_type rhs) const
difference_type | operator- (const ArrayIterator< Tr >& rhs) const
bool | operator== (const ArrayIterator< Tr >& rhs) const
bool | operator!= (const ArrayIterator< Tr >& rhs) const
bool | operator< (const ArrayIterator< Tr >& rhs) const
bool | operator> (const ArrayIterator< Tr >& rhs) const
bool | operator<= (const ArrayIterator< Tr >& rhs) const
bool | operator>= (const ArrayIterator< Tr >& rhs) const

## Member Typedef Documentation

template <class Tr >

typedef Tr::CppType Glib::Container_Helpers::ArrayIterator< Tr >::CppType

template <class Tr >

typedef Tr::CType Glib::Container_Helpers::ArrayIterator< Tr >::CType

template <class Tr >

typedef std::ptrdiff_t Glib::Container_Helpers::ArrayIterator< Tr >::difference_type

template <class Tr >

typedef std::random_access_iterator_tag Glib::Container_Helpers::ArrayIterator< Tr >::iterator_category

template <class Tr >

typedef void Glib::Container_Helpers::ArrayIterator< Tr >::pointer

template <class Tr >

typedef value_type Glib::Container_Helpers::ArrayIterator< Tr >::reference

template <class Tr >

typedef CppType Glib::Container_Helpers::ArrayIterator< Tr >::value_type

## Constructor & Destructor Documentation

template <class Tr >

Glib::Container_Helpers::ArrayIterator< Tr >::ArrayIterator | ( | const CType* | pos | ) |

inlineexplicit

## Member Function Documentation

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator!= | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

value_type Glib::Container_Helpers::ArrayIterator< Tr >::operator* | ( |  | ) | const

inline

template <class Tr >

const ArrayIterator<Tr> Glib::Container_Helpers::ArrayIterator< Tr >::operator+ | ( | difference_type | rhs | ) | const

inline

template <class Tr >

ArrayIterator<Tr>& Glib::Container_Helpers::ArrayIterator< Tr >::operator++ | ( |  | ) |

inline

template <class Tr >

const ArrayIterator<Tr> Glib::Container_Helpers::ArrayIterator< Tr >::operator++ | ( | int |  | ) |

inline

template <class Tr >

ArrayIterator<Tr>& Glib::Container_Helpers::ArrayIterator< Tr >::operator+= | ( | difference_type | rhs | ) |

inline

template <class Tr >

const ArrayIterator<Tr> Glib::Container_Helpers::ArrayIterator< Tr >::operator- | ( | difference_type | rhs | ) | const

inline

template <class Tr >

difference_type Glib::Container_Helpers::ArrayIterator< Tr >::operator- | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

ArrayIterator<Tr>& Glib::Container_Helpers::ArrayIterator< Tr >::operator-= | ( | difference_type | rhs | ) |

inline

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator< | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator<= | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator== | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator> | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

bool Glib::Container_Helpers::ArrayIterator< Tr >::operator>= | ( | const ArrayIterator< Tr >& | rhs | ) | const

inline

template <class Tr >

value_type Glib::Container_Helpers::ArrayIterator< Tr >::operator[] | ( | difference_type | offset | ) | const

inline